<?php

namespace App\JsonRpc;
interface AuthorityServiceInterface
{
    /**
     * 菜单列表
     * @param array $data
     * @return array
     */
    public function getMenuList(array $data);

    /**
     * 获取菜单信息
     * @param array $data
     * @return array
     */
    public function getMenuInfo(array $data);

    /**
     * 更新菜单
     * @param array $data
     * @return array
     */
    public function updateMenu(array $data);

    /**
     * 删除惨淡
     * @param array $data
     * @return array
     */
    public function delMenu(array $data);

    /**
     * 创建菜单
     * @param array $data
     * @return array
     */
    public function addMenu(array $data);

    /**
     * 查询菜单
     * @param array $data
     * @return array
     */
    public function getRecursionMenu(array $data);
}